<html devsite><head>
    <title>报告错误</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->
<p>
感谢您对 Android 的关注！您可以通过在 <a href="#bug-queues">Android 问题跟踪器</a>中提交问题和功能请求，来协助我们改进 Android。Android 问题跟踪器中会列出各个主题方面的待解决技术任务、与这些任务相关的信息，以及与这些任务的处理进度相关的信息，其中包括哪些任务可能会在短期内得到处理。
</p>
<p class="note">要详细了解我们为何改用问题跟踪器，请参阅<a href="http://android-developers.googleblog.com/2017/04/a-new-issue-tracker-for-our-aosp.html">这篇博文</a>。</p>
<p>
问题跟踪器不是一个客户支持论坛。要获取支持信息，请参阅 <a href="https://support.google.com/nexus">Nexus</a> 和 <a href="https://support.google.com/pixelphone">Pixel</a> 帮助中心。对于其他设备，则由设备制造商或销售这些设备的运营商提供支持。
</p>
<p>
通过 <a href="http://support.google.com/">Google 的支持网站</a>，可以获得 Google 应用方面的支持。对于第三方应用，则由应用的开发者提供支持，例如，您可以通过 Google Play 上提供的联系信息与他们联系。要获取更多 Android 支持资源的列表，请参阅我们的<a href="/source/community">“社区”页面</a>。
</p>
<p>
我们无法保证可以在任何特定版本中修复任何特定错误。要了解在您报告错误之后它们会经历些什么，请阅读<a href="/source/life-of-a-bug.html">错误的生命周期</a>。
</p>
<h2 id="filing-a-bug">提交错误</h2>
<ol>
<li><a href="https://issuetracker.google.com/issues?q=componentid:190923%2B">搜索您遇到的错误</a>，看看是否已有人报告过该错误。请记得在所有问题中搜索，而不仅仅是在待解决的问题中搜索，因为可能已有人报告过您遇到的问题并且该问题已被关闭。为了便于找到最热门的结果，请按星数对结果进行排序。</li>
<li>如果您找到了自己遇到的问题，并且该问题对您来说很重要，请<a href="https://developers.google.com/issue-tracker/guides/subscribe#starring_an_issue">为其加注星标</a>！错误获得的星数有助于我们知道哪些错误最亟待修复。</li>
<li>如果没有人报告过您遇到的错误，请提交该错误。先<a href="https://issuetracker.google.com/components">浏览以找到相应的组件</a>（如<a href="https://issuetracker.google.com/issues?q=componentid:192705">框架</a>或<a href="https://issuetracker.google.com/issues?q=componentid:192634">网络</a>），然后填写所提供的模板。您也可以从下面的表格中选择所需的错误队列。
<p class="key-point">
<strong>提示</strong>：有些组件包含子组件，如<strong>网络 &gt; 短信</strong>和<strong>框架 &gt; 存储</strong>。
</p>
</li>
<li>按照您针对的错误队列的说明，提供尽可能多的错误相关信息。只是说某些方面存在问题并没有多大帮助，而且问题可能未经任何处理就会被关闭。您提供的详细信息（如日志文件、重现步骤，甚至补丁程序集）越多，越有助于我们解决您的问题。</li>
</ol>
<h2 id="bug-queues">错误队列</h2>
<p>
Android 问题跟踪器包含多种子组件，这些子组件分属大量与 Android 相关的类别。安全、平台、Android 开发者工具、文档等都包含子组件。
</p>

<h3 id="security">安全</h3>
<p>
如果您在 Nexus 或 Pixel 设备中发现了影响 Android 或组件安全的问题，请遵循<a href="/security/overview/updates-resources#report-issues">此处</a>的说明。此外，您还可以就安全错误参加 <a href="https://www.google.com/about/appsecurity/android-rewards/">Android 安全漏洞奖励活动</a>。
</p>
<p>
由于安全错误具有敏感性的特点，因此您无法浏览待解决的问题，而只能浏览已关闭或已公开的问题。
</p>

<table>
  <tbody><tr>
   <th>浏览错误</th>
   <th>详细信息</th>
   <th>提交错误</th>
  </tr>
  <tr>
   <td>安全</td>
   <td><a href="/security/overview/updates-resources#report-issues">Android 安全性详细信息</a></td>
   <td><a href="https://www.google.com/appserve/security-bugs/m2/new">
   <i class="material-icons">bug_report</i></a></td>
  </tr>
  <tr>
</tr></tbody></table>

<h3 id="platform">平台</h3>
<p>
如果您发现了影响 Android 平台某个方面的问题，请在以下其中一个组件提交您的错误。
</p>
<p><a class="button button-primary" href="https://issuetracker.google.com/issues?q=componentid:(192786%20%7C%20192805%20%7C%20192705%20%7C%20192792%20%7C%20192644%20%7C%20192694%20%7C%20192710%20%7C%20192810%20%7C%20192634%20%7C%20192698%20%7C%20192706%20%7C%20192815%20%7C%20192715%20%7C%20192720%20%7C%20192711%20%7C%20192629%20%7C%20192643%20%7C%20192693%20%7C%20192639)">浏览所有平台问题</a></p>
<table>
  <tbody><tr>
   <th>浏览错误</th>
   <th>提交错误</th>
  </tr>
  <tr>
   <td><a href="https://issuetracker.google.com/issues?q=componentid:192629%2B">ART</a></td>
   <td><a href="https://issuetracker.google.com/issues/new?component=192629"><i class="material-icons">bug_report</i></a></td>
  </tr>
  <tr>
   <td><a href="https://issuetracker.google.com/issues?q=componentid:192693%2B">浏览器</a></td>
   <td><a href="https://issuetracker.google.com/issues/new?component=192693"><i class="material-icons">bug_report</i></a></td>
  </tr>
  <tr>
   <td><a href="https://issuetracker.google.com/issues?q=componentid:192639%2B">CTS</a></td>
   <td><a href="https://issuetracker.google.com/issues/new?component=192639"><i class="material-icons">bug_report</i></a></td>
  </tr>
  <tr>
   <td><a href="https://issuetracker.google.com/issues?q=componentid:192705%2B">框架</a></td>
   <td><a href="https://issuetracker.google.com/issues/new?component=192705"><i class="material-icons">bug_report</i></a></td>
  </tr>
  <tr>
   <td><a href="https://issuetracker.google.com/issues?q=componentid:192644%2B">GfxMedia</a></td>
   <td><a href="https://issuetracker.google.com/issues/new?component=192644"><i class="material-icons">bug_report</i></a></td>
  </tr>
  <tr>
   <td><a href="https://issuetracker.google.com/issues?q=componentid:316045%2B">免安装应用</a></td>
   <td><a href="https://issuetracker.google.com/issues/new?component=316045"><i class="material-icons">bug_report</i></a></td>
  </tr>

  <tr>
   <td><a href="https://issuetracker.google.com/issues?q=componentid:192694%2B">Jack</a></td>
   <td><a href="https://issuetracker.google.com/issues/new?component=192694"><i class="material-icons">bug_report</i></a></td>
  </tr>
  <tr>
   <td><a href="https://issuetracker.google.com/issues?q=componentid:192710%2B">Libcore</a></td>
   <td><a href="https://issuetracker.google.com/issues/new?component=192710"><i class="material-icons">bug_report</i></a></td>
  </tr>
  <tr>
   <td><a href="https://issuetracker.google.com/issues?q=componentid:192634%2B">网络</a></td>
   <td><a href="https://issuetracker.google.com/issues/new?component=192634"><i class="material-icons">bug_report</i></a></td>
  </tr>
  <tr>
   <td><a href="https://issuetracker.google.com/issues?q=componentid:190951%2B">安全</a></td>
   <td><a href="https://issuetracker.google.com/issues/new?component=190951"><i class="material-icons">bug_report</i></a></td>
  </tr>
  <tr>
   <td><a href="https://issuetracker.google.com/issues?q=componentid:192706%2B">系统</a></td>
   <td><a href="https://issuetracker.google.com/issues/new?component=192706"><i class="material-icons">bug_report</i></a></td>
  </tr>
  <tr>
   <td><a href="https://issuetracker.google.com/issues?q=componentid:192715%2B">文本</a></td>
   <td><a href="https://issuetracker.google.com/issues/new?component=192715"><i class="material-icons">bug_report</i></a></td>
  </tr>
  <tr>
   <td><a href="https://issuetracker.google.com/issues?q=componentid:192720%2B">Things</a></td>
   <td><a href="https://issuetracker.google.com/issues/new?component=192720"><i class="material-icons">bug_report</i></a></td>
  </tr>
  <tr>
   <td><a href="https://issuetracker.google.com/issues?q=componentid:192711%2B">Wear</a></td>
   <td><a href="https://issuetracker.google.com/issues/new?component=192711"><i class="material-icons">bug_report</i></a></td>
  </tr>
</tbody></table>

<h3 id="developer-tools">Android 开发者工具</h3>
<p>
如果您发现了影响某个 Android 开发者工具（如 Android Studio、SDK、模拟器、系统映像或支持库）的问题，请在以下其中一个组件提交错误。
</p>
<p>
由于这些工具的要求各不相同，因此请阅读<a href="https://developer.android.com/studio/report-bugs.html">一般错误提交详细信息</a>，以及相应错误的链接中提供的详细信息。
</p>

<a class="button button-primary" href="http://issuetracker.google.com/issues?q=componentid:192633%2B">浏览所有开发者工具问题</a>
<table>
  <tbody><tr>
   <th>浏览错误</th>
   <th>详细信息</th>
   <th>提交错误</th>
  </tr>
  <tr>
   <td><a href="https://issuetracker.google.com/issues?q=componentid:192633%2B">Android Studio</a></td>
   <td><a href="https://developer.android.com/studio/report-bugs.html#studio-bugs">Android Studio 详细信息</a></td>
   <td><a href="https://issuetracker.google.com/issues/new?component=192708&template=840533">
   <i class="material-icons">bug_report</i></a></td>
  </tr>
  <tr>
   <td><a href="http://issuetracker.google.com/issues?q=componentid:192717%2B">C++</a></td>
   <td>Android Studio 中的问题</td>
   <td><a href="https://issuetracker.google.com/issues/new?component=192717">
   <i class="material-icons">bug_report</i></a></td>
  </tr>
  <tr>
   <td><a href="http://issuetracker.google.com/issues?q=componentid:192727%2B">模拟器或系统映像</a></td>
   <td><a href="https://developer.android.com/studio/report-bugs.html#emulator-bugs">模拟器详细信息</a></td>
   <td><a href="https://issuetracker.google.com/issues/new?component=192727">
   <i class="material-icons">bug_report</i></a></td>
  </tr>
  <tr>
   <td><a href="http://issuetracker.google.com/issues?q=componentid:192709%2B">Gradle</a></td>
   <td><a href="https://developer.android.com/studio/report-bugs.html#build-bugs">Gradle 详细信息</a></td>
   <td><a href="https://issuetracker.google.com/issues/new?component=192709&template=842921">
   <i class="material-icons">bug_report</i></a></td>
  </tr>
  <tr>
   <td><a href="http://issuetracker.google.com/issues?q=componentid:192751%2B">Instant Run</a></td>
   <td><a href="https://developer.android.com/studio/report-bugs.html#instant-run-bugs">Instant Run 详细信息</a></td>
   <td><a href="https://issuetracker.google.com/issues/new?component=192751">
   <i class="material-icons">bug_report</i></a></td>
  </tr>
  <tr>
   <td colspan="2"><a href="http://issuetracker.google.com/issues?q=componentid:192718%2B">Lint</a></td>
   <td><a href="https://issuetracker.google.com/issues/new?component=192718">
   <i class="material-icons">bug_report</i></a></td>
  </tr>
  <tr>
   <td><a href="https://github.com/android-ndk/ndk/issues">NDK</a></td>
   <td>独立的 NDK 方面的问题</td>
   <td><a href="https://github.com/android-ndk/ndk/issues"><i class="material-icons">bug_report</i></a></td>
  </tr>
  <tr>
   <td colspan="2"><a href="http://issuetracker.google.com/issues?q=componentid:192722%2B">分析器</a></td>
   <td><a href="https://issuetracker.google.com/issues/new?component=192722">
   <i class="material-icons">bug_report</i></a></td>
  </tr>
  <tr>
   <td colspan="2"><a href="http://issuetracker.google.com/issues?q=componentid:192731%2B">支持库</a></td>
   <td><a href="https://issuetracker.google.com/issues/new?component=192731">
   <i class="material-icons">bug_report</i></a></td>
  </tr>
  <tr>
   <td colspan="2"><a href="http://issuetracker.google.com/issues?q=componentid:192735%2B">测试支持库</a></td>
   <td><a href="https://issuetracker.google.com/issues/new?component=192735">
   <i class="material-icons">bug_report</i></a></td>
  </tr>
</tbody></table>

<h3 id="documentation">文档</h3>
<p>
如果您在本网站或 <a href="https://developer.android.com/">developer.android.com</a> 上发现了问题，请提交错误，相应作者会提供帮助。
</p>

<table>
  <tbody><tr>
   <th>浏览错误</th>
   <th>提交错误</th>
  </tr>
  <tr>
   <td><a href="http://issuetracker.google.com/issues?q=componentid:192697%2B">developer.android.com</a></td>
   <td><a href="https://issuetracker.google.com/issues/new?component=192697">
   <i class="material-icons">bug_report</i></a></td>
  </tr>
  <tr>
   <td><a href="http://issuetracker.google.com/issues?q=componentid:191476%2B">source.android.com</a></td>
   <td><a href="https://issuetracker.google.com/issues/new?component=191476">
   <i class="material-icons">bug_report</i></a></td>
  </tr>
</tbody></table>

</body></html>